Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator
Class Scenario

    java.lang.Object
      lbg.simulator.Scenario

All Implemented Interfaces:
  java.lang.Cloneable

    public class Scenario

extends java.lang.Object
implements java.lang.Cloneable

Author:
  Cyril Briquet

Constructor Summary
`Scenario(java.util.Properties scenario_props, java.lang.String scenario_filename)`
`Scenario(java.util.Properties scenario_props, java.lang.String scenario_filename, boolean load_grid_config, boolean load_grid_strategy_config, boolean load_randomizer_config)`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `format()` Formats the Scenario as a property file.
`GridConfiguration` | `getGridConfiguration()`
`GridStrategyConfiguration` | `getGridStrategyConfiguration()`
`RandomizerConfiguration` | `getRandomizerConfiguration()`
`void` | `loadGridConfiguration(java.util.Properties props)`
`void` | `loadGridStrategyConfiguration(java.util.Properties props)`
`void` | `loadRandomizerConfiguration(java.util.Properties props)`
`void` | `setGridConfiguration(GridConfiguration grid_config)`
`void` | `setGridStrategyConfiguration(GridStrategyConfiguration grid_strategy_config)`
`void` | `setRandomizerConfiguration(RandomizerConfiguration randomizer_config)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Scenario

    public Scenario(java.util.Properties scenario_props,
                    java.lang.String scenario_filename)
             throws GridException

Throws:
  `GridException`

### Scenario

    public Scenario(java.util.Properties scenario_props,
                    java.lang.String scenario_filename,
                    boolean load_grid_config,
                    boolean load_grid_strategy_config,
                    boolean load_randomizer_config)
             throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format()

  Formats the Scenario as a property file.

  Returns:
    Scenario, formatted as a property file.

### getGridConfiguration

    public GridConfiguration getGridConfiguration()

### getGridStrategyConfiguration

    public GridStrategyConfiguration getGridStrategyConfiguration()

### getRandomizerConfiguration

    public RandomizerConfiguration getRandomizerConfiguration()

### loadGridConfiguration

    public void loadGridConfiguration(java.util.Properties props)
                               throws GridException

  Throws:
    `GridException`

### setGridConfiguration

    public void setGridConfiguration(GridConfiguration grid_config)
                              throws GridException

  Throws:
    `GridException`

### loadGridStrategyConfiguration

    public void loadGridStrategyConfiguration(java.util.Properties props)
                                       throws GridException

  Throws:
    `GridException`

### setGridStrategyConfiguration

    public void setGridStrategyConfiguration(GridStrategyConfiguration grid_strategy_config)
                                      throws GridException

  Throws:
    `GridException`

### loadRandomizerConfiguration

    public void loadRandomizerConfiguration(java.util.Properties props)
                                     throws GridException

  Throws:
    `GridException`

### setRandomizerConfiguration

    public void setRandomizerConfiguration(RandomizerConfiguration randomizer_config)
                                    throws GridException

  Throws:
    `GridException`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.